package com.tanpu.community.api.beans.vo.feign.product;

import com.tanpu.community.api.beans.vo.feign.product.Net;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
@ApiModel("基金公司信息")
@Data
public class FundCompanyVO {

    @ApiModelProperty("icon")
    private String img;

    @ApiModelProperty("公司简介")
    private String companyProfile;

    @ApiModelProperty("基金公司id")
    private String companyId;

    @ApiModelProperty("公司名称")
    private String companyName;

    @ApiModelProperty("总金额 单位:亿元")
    private String totalMoney;

    @ApiModelProperty("基金总数量")
    private Integer totalFund;

    @ApiModelProperty("代表id")
    private String fundId;

    @ApiModelProperty("对比产品id")
    private String ratioId;

    @ApiModelProperty("基金名称")
    private String fundName;

    @ApiModelProperty("成立以来的累计收益")
    private String retIncep;

    @ApiModelProperty("最新净值")
    private Net net;

    @ApiModelProperty("运行时间 时间戳")
    private Long time;

    @ApiModelProperty("成立时间")
    private Long inceptionDate;

}
